API ReferenceapiplatformGET /v1/admin/audit-log

GET /v1/admin/audit-log

Service: platform · operationId: (none)

Query audit log entries (admin only)

Required scopes

(no scope declared — review service config)

Query parameters

  • actor_id (string) —
  • event_type (string) —
  • entity_type (string) —
  • entity_id (string) —
  • since (string) —
  • until (string) —
  • limit (integer) —
  • offset (integer,null) —

Responses

200 Audit log entries

{
  "type": "object",
  "properties": {
    "rows": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "ts": {
            "type": "string"
          },
          "actor_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "actor_type": {
            "type": [
              "string",
              "null"
            ]
          },
          "brand_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "request_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "source": {
            "type": "string"
          },
          "event_type": {
            "type": "string"
          },
          "entity_type": {
            "type": [
              "string",
              "null"
            ]
          },
          "entity_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "http_method": {
            "type": [
              "string",
              "null"
            ]
          },
          "http_path": {
            "type": [
              "string",
              "null"
            ]
          },
          "http_status": {
            "type": [
              "number",
              "null"
            ]
          },
          "details": {
            "type": "object",
            "additionalProperties": {}
          }
        },
        "required": [
          "id",
          "ts",
          "actor_id",
          "actor_type",
          "brand_id",
          "request_id",
          "source",
          "event_type",
          "entity_type",
          "entity_id",
          "http_method",
          "http_path",
          "http_status",
          "details"
        ]
      }
    },
    "total": {
      "type": "number"
    }
  },
  "required": [
    "rows",
    "total"
  ]
}

403 Forbidden — missing platform:admin scope

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://platform.platform.loop.health/v1/admin/audit-log \
  -H "Authorization: Bearer $ACCESS_TOKEN"